<?xml version="1.0" encoding="utf-8"?>
<resources>
    <style name="Transparent" parent="@style/Base.Theme.AppCompat">
        <item name="colorPrimary">@color/main_theme_blue</item>
        <item name="colorPrimaryDark">@color/main_theme_blue</item>
        <item name="android:windowBackground">@color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsTranslucent">true</item>
    </style>
    <!--自定义分享-->
    <style name="transparentFrameWindowStyle" parent="android:style/Theme.Dialog">
        <item name="android:windowBackground">@drawable/share_choose_bg</item>
    </style>

    <style name="main_menu_animstyle">
        <item name="android:windowEnterAnimation">@anim/share_dialog_in_anim</item>
        <item name="android:windowExitAnimation">@anim/share_dialog_out_anim</item>
    </style>

    <style name="CommonTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="colorPrimary">@color/main_theme_blue</item>
        <item name="colorPrimaryDark">@color/main_theme_blue</item>
        <item name="android:fitsSystemWindows">true</item>
        <item name="android:windowBackground">@color/theme_bg</item>
        <item name="android:textSize">@dimen/default_text_size</item>
        <item name="android:textColor">@color/default_text_color</item>
        <item name="android:textColorHint">@color/default_text_color_hint</item>
        <item name="android:textCursorDrawable">@null</item>
    </style>

    <!--四边边距都为0的dialog-->
    <style name="commonDialog" parent="android:Theme.Dialog">
        <item name="android:windowBackground">@color/design_snackbar_background_color</item>
    </style>

    <!-- 仿ios普通对话框 -->
    <style name="normaldialog_style" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">false</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:layout_marginRight">30dp</item>
        <item name="android:layout_marginLeft">30dp</item>
        <item name="android:windowBackground">@drawable/normaldialog_bg</item>
        <item name="android:backgroundDimEnabled">true</item>
    </style>

    <!-- 仿ios普通对话框 -->
    <style name="chatdialog_style" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">false</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:layout_marginTop">120dp</item>
        <item name="android:layout_marginRight">15dp</item>
        <item name="android:layout_marginLeft">15dp</item>
        <item name="android:windowBackground">@drawable/normaldialog_bg</item>
        <item name="android:backgroundDimEnabled">false</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.ActionBar">
        <item name="android:itemTextAppearance">?android:attr/actionMenuTextAppearance</item>
    </style>

    <!-- toolbar 文本 -->
    <style name="Toolbar.TitleText" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">16sp</item>
    </style>

    <style name="dialog_title_text_style">
        <item name="android:textSize">@dimen/big_text_size</item>
        <item name="android:textColor">@color/color_activity_blue_bg</item>
        <item name="android:textStyle">bold</item>
        <item name="android:paddingLeft">@dimen/dialog_text_margin_horizontal</item>
        <item name="android:paddingRight">@dimen/dialog_text_margin_horizontal</item>
        <item name="android:paddingTop">@dimen/dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/dialog_padding_vertical</item>
    </style>

    <style name="dialog_message_text_style">
        <item name="android:textSize">@dimen/normal_text_size</item>
        <item name="android:textColor">@color/color_black_333333</item>
        <item name="android:paddingLeft">@dimen/dialog_text_margin_horizontal</item>
        <item name="android:paddingRight">@dimen/dialog_text_margin_horizontal</item>
        <item name="android:paddingTop">@dimen/dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/dialog_padding_vertical</item>
    </style>

    <style name="dialog_button_text_style">
        <item name="android:textSize">@dimen/big_text_size</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:background">@drawable/nim_list_item_selector</item>
        <item name="android:paddingTop">@dimen/custom_dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/custom_dialog_padding_vertical</item>
    </style>

    <style name="grid_view" parent="@android:style/Widget.GridView"></style>

    <style name="list_view" parent="@android:style/Widget.ListView">
        <item name="android:scrollbarThumbVertical">@drawable/nim_scrollbar_handle_holo_dark</item>
        <item name="android:scrollbarThumbHorizontal">@drawable/nim_scrollbar_handle_holo_dark
        </item>
    </style>

    <style name="dialog_default_style" parent="@android:style/Theme.Dialog">
        <item name="android:windowBackground">@color/transparent</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:backgroundDimEnabled">true</item>
    </style>


    <style name="custom_dialog_message_text_style">
        <item name="android:textSize">@dimen/normal_text_size</item>
        <item name="android:textColor">@color/color_black_333333</item>
        <item name="android:paddingLeft">@dimen/dialog_text_margin_horizontal</item>
        <item name="android:paddingRight">@dimen/dialog_text_margin_horizontal</item>
        <item name="android:paddingTop">@dimen/custom_dialog_padding_vertical</item>
        <item name="android:paddingBottom">@dimen/custom_dialog_padding_vertical</item>
        <item name="android:background">@drawable/nim_list_item_selector</item>
    </style>

    <!-- 项目中的分割线 -->
    <style name="viewline">
        <item name="android:background">@color/color_E0E0E0</item>
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">0.5dp</item>
    </style>

    <style name="new_divide_color_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">0.5dp</item>
        <item name="android:background">@color/new_divide_color</item>
    </style>

    <style name="BottomDialogAnimation">
        <item name="android:windowEnterAnimation">@anim/bottom_dialog_slide_show</item>
        <item name="android:windowExitAnimation">@anim/bottom_dialog_slide_hide</item>
    </style>

    <style name="NoTitleTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="android:windowActionBar">false</item>
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="colorPrimary">@color/main_theme_blue</item>
        <item name="colorPrimaryDark">@color/main_theme_blue</item>
        <item name="colorAccent">@color/main_theme_blue</item>
    </style>


</resources>